Package: org.codehaus.groovy.tools.shell.completion

## [Groovy] Enum CompletionCase

- org.codehaus.groovy.tools.shell.completion.GroovySyntaxCompletor.CompletionCase

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `DOT_LAST` |
    `INSTANCEOF` |
    `NO_COMPLETION` |
    `NO_DOT_PREFIX` |
    `PREFIX_AFTER_DOT` |
    `PREFIX_AFTER_SPREAD_DOT` |
    `SECOND_IDENT` |
    `SPREAD_DOT_LAST` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GroovySyntaxCompletor.CompletionCase DOT_LAST

    - #### GroovySyntaxCompletor.CompletionCase INSTANCEOF

    - #### GroovySyntaxCompletor.CompletionCase NO_COMPLETION

    - #### GroovySyntaxCompletor.CompletionCase NO_DOT_PREFIX

    - #### GroovySyntaxCompletor.CompletionCase PREFIX_AFTER_DOT

    - #### GroovySyntaxCompletor.CompletionCase PREFIX_AFTER_SPREAD_DOT

    - #### GroovySyntaxCompletor.CompletionCase SECOND_IDENT

    - #### GroovySyntaxCompletor.CompletionCase SPREAD_DOT_LAST